All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::FaceDetector Class Reference

`#include <faceDetector.hpp>`

## Public Member Functions

| FaceDetector (const PoseModel poseModel)
virtual | ~FaceDetector ()
std::vector< Rectangle< float > > | detectFaces (const Array< float > &poseKeypoints) const

## Constructor & Destructor Documentation

op::FaceDetector::FaceDetector | ( | const PoseModel | poseModel | ) |

explicit

virtual op::FaceDetector::~FaceDetector | ( |  | ) |

virtual

## Member Function Documentation

std::vector<Rectangle<float> > op::FaceDetector::detectFaces | ( | const Array< float > & | poseKeypoints | ) | const

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/face/faceDetector.hpp